/*
   OpenGL bitmap character and string output.

   This is an optimized version of the GLUT library procedure
   glutBitmapCharacter. It assumes that the correct graphics state
   (as regards the pixelstore modes) has been set. The required values
   for the pixelstore modes are the default values (defined in the OpenGL
   specification), *except* for glPixelStorei (GL_UNPACK_ALIGNMENT, 1).

   This package relies on GLUT version 3.6.

   clib v1.1

   Copyright (C) 1998 Per Kraulis
     6-Feb-1998  first attempts

     12-Jul-2004 TF - adapted for freeglut (removed old BitmapFont stuff)
*/

#include "ogl_bitmap_character.h"

#include <assert.h>
#include <stdio.h>

/*------------------------------------------------------------*/
void
ogl_bitmap_string (void *font, char *str)
     /*
       Output the string using the given GLUT bitmap font.
       The font must be a GLUTbitmapFont.
       The raster position must be defined.
     */
{
  /* pre */
  assert (font);
  assert (str);

  char* chr = str;

  printf("calling ogl_char for: %s\n", str);

  while (*(chr))
    glutBitmapCharacter(font, *(chr++));
}
