/* povray.h

   MolScript v2.1

   PostScript file.

   Copyright (C) 1997 Per Kraulis
     4-Dec-1996  first attempts
*/

#ifndef POVRAY_H
#define POVRAY_H 1

#include <gts.h>

#include "coord.h"
#include "map_utils.h"
#include "vertex_class.h"

void pov_set (void);

void pov_first_plot (void);
void pov_finish_output (void);
void pov_start_plot (void);
void pov_finish_plot (void);

void pov_set_area (void);
void pov_set_background (void);
void pov_directionallight (void);
void pov_pointlight (void);
void pov_comment (char *str);

void pov_coil (void);
void pov_cylinder (vector3 *v1, vector3 *v2);
void pov_df3 (char *outdf3, float min, float max, vector3 *v1, vector3 *v2, double f_t_c[4][4]);
void pov_helix (void);
void pov_label (vector3 *p, char *label, colour *c);
void pov_line (boolean polylines);
void pov_mesh2 (map_ptr **cmap);
void pov_mesh2_face(GtsTriangle *, gpointer *);
void pov_mesh2_get_newcolindex(GtsVertex2 *, gpointer *);
void pov_mesh2_get_oldcolindex(GtsVertex2 *, gpointer *);
void pov_mesh2_vertex(GtsVertex2 *, gpointer *);
void pov_points (int colours);
void pov_sphere (at3d *at, double radius);
void pov_stick (vector3 *v1, vector3 *v2, double r1, double r2, colour *c);
void pov_strand (void);

void pov_start_object (void);
void pov_object (int code, vector3 *triplets, int count);
void pov_fin_object (void);

void pov_start_blob (void);
void pov_blob (at3d *at, double radius);
void pov_fin_blob (void);

#endif
