#ifndef VERTEX_CLASS_H
#define VERTEX_CLASS_H 1

#include <boolean.h>
#include <gts.h>

#define GTS_IS_VERTEX2(obj) (gts_object_is_from_class(obj, gts_vertex2_class()))

#define GTS_VERTEX2(obj) GTS_OBJECT_CAST(obj, GtsVertex2, gts_vertex2_class())

#define GTS_VERTEX2_CLASS(klass) GTS_OBJECT_CLASS_CAST(klass, GtsVertex2Class, gts_vertex2_class())

typedef struct _GtsVertex2 GtsVertex2;
typedef struct _GtsVertex2Class GtsVertex2Class;

struct _GtsVertex2 {
  GtsVertex v;
  /* extra data (color, normals) */
  boolean draw;
  double norm[3];
  double col[3];
  float cprop;
};

struct _GtsVertex2Class {
  GtsVertexClass parent_class;
  /* extra methods */
};

static void vertex2_destroy(GtsObject * object);
static void vertex2_read(GtsObject ** object, GtsFile * fp);
static void vertex2_write(GtsObject * object, FILE * fp);
void vertex2_class_init(GtsObjectClass * klass);
GtsVertex2Class *gts_vertex2_class(void);
GtsVertex2 *gts_vertex2_new(GtsVertex2Class * klass, double x, double y, double z,
			    double nx, double ny, double nz,
			    double r, double g, double b,
			    float cprop);

#endif
